## org.jfree.xml.factory.objects
Class JavaBaseClassFactory

    java.lang.Object
      org.jfree.xml.factory.objects.ClassFactoryImpl
          org.jfree.xml.factory.objects.JavaBaseClassFactory

All Implemented Interfaces:
  java.io.Serializable, ClassFactory

    public class JavaBaseClassFactory

extends ClassFactoryImpl

A default factory for all commonly used java base classes from java.lang, java.awt etc.

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`JavaBaseClassFactory()` DefaultConstructor.

Method Summary

Methods inherited from class org.jfree.xml.factory.objects.ClassFactoryImpl
`configure, equals, getComparator, getConfig, getDescriptionForClass, getRegisteredClasses, getSuperClassObjectDescription, hashCode, registerClass`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaBaseClassFactory

    public JavaBaseClassFactory()

  DefaultConstructor. Creates the object factory for all java base classes.